headless lms

Dismiss the open flags on a comment in a space you moderate

POST /api/member/comments/{commentId}/flags/resolution. Dismiss the open flags on a comment in a space you moderate. Headless LMS Discussion API reference.

POST
/api/member/comments/{commentId}/flags/resolution

For a moderator of a post comment, or staff for an activity comment. Closes every open flag and leaves the comment up.

Path Parameters

commentId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/member/comments/string/flags/resolution" \  -H "Content-Type: application/json" \  -d '{    "resolution": "dismissed"  }'
null
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}